GNU bug report logs - #42637
27.0.91; mm-view-pkcs7 doesn't handle S/MIME signed andd encrypted messages

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Timothy J. Miller" <tmiller@HIDDEN>; dated Fri, 31 Jul 2020 16:20:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 42637 <at> debbugs.gnu.org:


Received: (at 42637) by debbugs.gnu.org; 6 Aug 2020 13:14:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 06 09:14:26 2020
Received: from localhost ([127.0.0.1]:53442 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3fj0-0004Gf-LB
	for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 09:14:26 -0400
Received: from quimby.gnus.org ([95.216.78.240]:53654)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k3fiz-0004GT-7N
 for 42637 <at> debbugs.gnu.org; Thu, 06 Aug 2020 09:14:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Ax3+g3zVEr7s6BSLw52dqFa9VYXWkUvhjWoyWkpYqog=; b=mJiwOqoqrvjKItEweFmsKR1GvX
 jpkIPaRjIMCxDn6LC1At0lbT96x1l6gVKZWw7v43dbKr4KRACzlJLoGgzMZynp0fVMAaLa23OOEYQ
 72nNjn6amcYogX1C2bxJhCLwGq+Bhh9kniZT5NrZssqYlwqCJ8Ica/34JOxpgenLTEj8=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k3fiq-0001bk-S9; Thu, 06 Aug 2020 15:14:19 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Timothy J. Miller" <tmiller@HIDDEN>
Subject: Re: bug#42637: [EXT] Re: bug#42637: 27.0.91; mm-view-pkcs7 doesn't
 handle S/MIME signed andd encrypted messages
References: <m2lfiz2283.fsf@HIDDEN>
 <10756_1596344892_5F264A38_10756_6707_1_87y2mxy6s0.fsf@HIDDEN>
 <m27duf6ezu.fsf@HIDDEN> <87o8nqsslm.fsf@HIDDEN>
 <31F5C86A-4316-454A-AAA7-3202C120A997@HIDDEN>
 <873652mna4.fsf@HIDDEN>
 <3649B346-6778-4B76-8940-B066BF24230A@HIDDEN>
 <87y2mul7cb.fsf@HIDDEN>
 <6C99315C-D2C2-4F7E-839E-56FF8F3A21CD@HIDDEN>
 <87zh79eash.fsf@HIDDEN> <m2bljpz3cg.fsf@HIDDEN>
Date: Thu, 06 Aug 2020 15:14:15 +0200
In-Reply-To: <m2bljpz3cg.fsf@HIDDEN> (Timothy J. Miller's message of "Wed, 
 05 Aug 2020 07:25:51 -0500")
Message-ID: <87d043dihk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Thanks; got the encrypted+signed message now. Gnus prompts
 me for decrypting twice -- is that also a bug, or is it really encrypted
 twice? -- (domestic pets only, the antidote for overdose, milk.) bloggy blog:
 http://lars.ingebrigtsen.no 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42637
Cc: "42637 <at> debbugs.gnu.org" <42637 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thanks; got the encrypted+signed message now.

Gnus prompts me for decrypting twice -- is that also a bug, or is it
really encrypted twice?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42637; Package emacs. Full text available.

Message received at 42637 <at> debbugs.gnu.org:


Received: (at 42637) by debbugs.gnu.org; 6 Aug 2020 07:48:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 06 03:48:38 2020
Received: from localhost ([127.0.0.1]:53048 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3adi-0006Ag-Id
	for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 03:48:38 -0400
Received: from quimby.gnus.org ([95.216.78.240]:50712)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k3add-0006AN-4e
 for 42637 <at> debbugs.gnu.org; Thu, 06 Aug 2020 03:48:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=PrrkaZCH7uCu8sitlCxFabDoQAUit8OInaI6rxmV1uM=; b=NosgTBk/bD3z4UEsnZ0+LvHnIm
 3GY/ow5KmesOgTlISinn720BQMRectndYkRYQG5L9CFvKACllrLUHsBKQzoK7LVYOPj+Dd1msAsbY
 HH8RvcetGk8KNjBwUHiazrqxLLADYleC9C/Ex7soVXGBnenKsEhapZYVAwfZp3Dh84vY=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k3adT-0007CL-GU; Thu, 06 Aug 2020 09:48:26 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Timothy J. Miller" <tmiller@HIDDEN>
Subject: Re: bug#42637: [EXT] Re: bug#42637: 27.0.91; mm-view-pkcs7 doesn't
 handle S/MIME signed andd encrypted messages
References: <m2lfiz2283.fsf@HIDDEN>
 <10756_1596344892_5F264A38_10756_6707_1_87y2mxy6s0.fsf@HIDDEN>
 <m27duf6ezu.fsf@HIDDEN> <87o8nqsslm.fsf@HIDDEN>
 <31F5C86A-4316-454A-AAA7-3202C120A997@HIDDEN>
 <873652mna4.fsf@HIDDEN>
 <3649B346-6778-4B76-8940-B066BF24230A@HIDDEN>
 <87y2mul7cb.fsf@HIDDEN>
 <6C99315C-D2C2-4F7E-839E-56FF8F3A21CD@HIDDEN>
 <87zh79eash.fsf@HIDDEN> <m2bljpz3cg.fsf@HIDDEN>
Date: Thu, 06 Aug 2020 09:48:22 +0200
In-Reply-To: <m2bljpz3cg.fsf@HIDDEN> (Timothy J. Miller's message of "Wed, 
 05 Aug 2020 07:25:51 -0500")
Message-ID: <87eeokfc55.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  "Timothy J. Miller" <tmiller@HIDDEN> writes: >> Hm, yes, 
 that's missing from the encrypted+signed messages... *sigh* > > :thumbsup:
 Looking at the test mails from you (thanks, by the way), I'm not 100% sure
 which one of the test cases I should be looking at when debugging this. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42637
Cc: "42637 <at> debbugs.gnu.org" <42637 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Timothy J. Miller" <tmiller@HIDDEN> writes:

>> Hm, yes, that's missing from the encrypted+signed messages... *sigh*
>
> :thumbsup:

Looking at the test mails from you (thanks, by the way), I'm not 100%
sure which one of the test cases I should be looking at when debugging
this.

Can you send me an email that's encrypted+signed for sure?  :-)  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42637; Package emacs. Full text available.

Message received at 42637 <at> debbugs.gnu.org:


Received: (at 42637) by debbugs.gnu.org; 5 Aug 2020 12:26:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 05 08:26:01 2020
Received: from localhost ([127.0.0.1]:50305 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3IUb-00088t-11
	for submit <at> debbugs.gnu.org; Wed, 05 Aug 2020 08:26:01 -0400
Received: from smtpvbsrv1.mitre.org ([198.49.146.234]:44630)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tmiller@HIDDEN>) id 1k3IUY-00088g-0n
 for 42637 <at> debbugs.gnu.org; Wed, 05 Aug 2020 08:25:59 -0400
Received: from smtpvbsrv1.mitre.org (localhost.localdomain [127.0.0.1])
 by localhost (Postfix) with SMTP id 9A5271BE05D;
 Wed,  5 Aug 2020 08:25:52 -0400 (EDT)
Received: from smtprhbv1.mitre.org (unknown [129.83.19.196])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by smtpvbsrv1.mitre.org (Postfix) with ESMTPS id 849371BE037;
 Wed,  5 Aug 2020 08:25:52 -0400 (EDT)
Received: from localhost (unknown [10.140.19.249])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by smtprhbv1.mitre.org (Postfix) with ESMTPS id 579BA929354;
 Wed,  5 Aug 2020 08:25:52 -0400 (EDT)
References: <m2lfiz2283.fsf@HIDDEN>
 <10756_1596344892_5F264A38_10756_6707_1_87y2mxy6s0.fsf@HIDDEN>
 <m27duf6ezu.fsf@HIDDEN> <87o8nqsslm.fsf@HIDDEN>
 <31F5C86A-4316-454A-AAA7-3202C120A997@HIDDEN> <873652mna4.fsf@HIDDEN>
 <3649B346-6778-4B76-8940-B066BF24230A@HIDDEN> <87y2mul7cb.fsf@HIDDEN>
 <6C99315C-D2C2-4F7E-839E-56FF8F3A21CD@HIDDEN> <87zh79eash.fsf@HIDDEN>
User-agent: mu4e 1.4.12; emacs 28.0.50
From: "Timothy J. Miller" <tmiller@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#42637: [EXT] Re: bug#42637: 27.0.91; mm-view-pkcs7 doesn't
 handle S/MIME signed andd encrypted messages
In-reply-to: <87zh79eash.fsf@HIDDEN>
Date: Wed, 05 Aug 2020 07:25:51 -0500
Message-ID: <m2bljpz3cg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-MITRE: 8GQsMWxq66rxk57w
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mitre.org;
 h=references:from:to:cc:subject:in-reply-to:date:message-id:mime-version:content-type;
 s=selector1; bh=uGlhNs4TgHXwkzZhhzIo9eeR+zc98wIphkLtHvZGMdU=;
 b=hBxXi4HIx+VfaTt3kUhmFoNetI4CJ4l2F948c8HbTVvMju9tTEIFrl8aj7qGJGl++m2e7B1kbzimrGhJeVu0zRSsYJgAmx0Bj4ppIhrmrHpToFEfteT7ozkJHtBDOkXljNOvlvIDB9SOvBjjyQPFpDl1/R9PE5lba9KGXeUb7hY=
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 42637
Cc: "42637 <at> debbugs.gnu.org" <42637 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.9 (--)


Lars Ingebrigtsen <larsi@HIDDEN> writes:

>
> Corrupted base64?  That doesn't sound good?  Is this a bug?
>

If it happens again and I can nail it down I'll submit it 
separately.
Attachments were being written out as blocks of unmarked base64, 
but
with periodic insertion of invalid byte sequences.  I only saw 
this
happen with opaque signed S/MIME from Outlook; attachments on 
messages
with detached signatures were fine.  With the CR/LF patch I went
looking for recurrence and so far have come up empty.

> Do you mean the
>
> [[S/MIME Signed Part:Undecided]]
>
> stuff?
>
> Hm, yes, that's missing from the encrypted+signed messages... 
> *sigh*

:thumbsup:

-- T






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42637; Package emacs. Full text available.

Message received at 42637 <at> debbugs.gnu.org:


Received: (at 42637) by debbugs.gnu.org; 5 Aug 2020 08:50:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 05 04:50:53 2020
Received: from localhost ([127.0.0.1]:49710 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3F8O-00045m-U6
	for submit <at> debbugs.gnu.org; Wed, 05 Aug 2020 04:50:53 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37822)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k3F8K-00045W-35
 for 42637 <at> debbugs.gnu.org; Wed, 05 Aug 2020 04:50:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=mNm5d+Bd2FLBrBeZs5apkKrX5PEiEaqGtEL0CmBT+7M=; b=ZMSWEV7OA2CAwCgtusw4jTngdS
 lcgpiVwCbm7ksyGzTKs6PV1gU2eqerLgyCC3ifH0wtZrDulAIfLZx0tDlvyBkBDVIj+sP/xm0APT4
 OvlmJ+BwZKUFIJb/SC22d9dVdT56qh4z+HIhv+8EfH8otbkHAWNufUpQR6AaOqtKXJ+Y=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k3F8B-0002fO-Ak; Wed, 05 Aug 2020 10:50:41 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Timothy J Miller <tmiller@HIDDEN>
Subject: Re: bug#42637: [EXT] Re: bug#42637: 27.0.91; mm-view-pkcs7 doesn't
 handle S/MIME signed andd encrypted messages
References: <m2lfiz2283.fsf@HIDDEN>
 <10756_1596344892_5F264A38_10756_6707_1_87y2mxy6s0.fsf@HIDDEN>
 <m27duf6ezu.fsf@HIDDEN> <87o8nqsslm.fsf@HIDDEN>
 <31F5C86A-4316-454A-AAA7-3202C120A997@HIDDEN>
 <873652mna4.fsf@HIDDEN>
 <3649B346-6778-4B76-8940-B066BF24230A@HIDDEN>
 <87y2mul7cb.fsf@HIDDEN>
 <6C99315C-D2C2-4F7E-839E-56FF8F3A21CD@HIDDEN>
Date: Wed, 05 Aug 2020 10:50:38 +0200
In-Reply-To: <6C99315C-D2C2-4F7E-839E-56FF8F3A21CD@HIDDEN> (Timothy
 J. Miller's message of "Tue, 4 Aug 2020 20:26:34 +0000")
Message-ID: <87zh79eash.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Timothy J Miller <tmiller@HIDDEN> writes: > However, the
 S/MIME signature status/trust marking in the article body > are missing for
 signed+encrypted. I went through a slew of old > encrypted messages and most
 look like non-MIME messages. Occ [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42637
Cc: "42637 <at> debbugs.gnu.org" <42637 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Timothy J Miller <tmiller@HIDDEN> writes:

> However, the S/MIME signature status/trust marking in the article body
> are missing for signed+encrypted.  I went through a slew of old
> encrypted messages and most look like non-MIME messages.  Occasionally
> one will present with a text/plain attachment, but most not.
> Attachments also seem to be decoding properly but I didn't test all
> examples, just spot checked a couple where the attachment got saved
> out as corrupted base64.

Corrupted base64?  That doesn't sound good?  Is this a bug?

> If I could add to the feature backlog, it would be nice to have a
> status mark for encrypted emails similar to the signature trust status
> marking.

Do you mean the

[[S/MIME Signed Part:Undecided]]

stuff?

Hm, yes, that's missing from the encrypted+signed messages...  *sigh*

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42637; Package emacs. Full text available.

Message received at 42637 <at> debbugs.gnu.org:


Received: (at 42637) by debbugs.gnu.org; 4 Aug 2020 20:27:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 16:27:22 2020
Received: from localhost ([127.0.0.1]:49235 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k33Ws-0004xG-If
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 16:27:22 -0400
Received: from smtpvmsrv1.mitre.org ([192.52.194.136]:46434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tmiller@HIDDEN>) id 1k33Wp-0004x1-0k
 for 42637 <at> debbugs.gnu.org; Tue, 04 Aug 2020 16:27:20 -0400
Received: from smtpvmsrv1.mitre.org (localhost.localdomain [127.0.0.1])
 by localhost (Postfix) with SMTP id 6BA306C0018;
 Tue,  4 Aug 2020 16:27:13 -0400 (EDT)
Received: from smtprhmv1.mitre.org (unknown [128.29.154.203])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by smtpvmsrv1.mitre.org (Postfix) with ESMTPS id 429606C000B;
 Tue,  4 Aug 2020 16:27:13 -0400 (EDT)
Received: from mwfesmtp-mgt.mitre.org (mwfesmtp-in.mitre.org [192.52.194.235])
 by smtprhmv1.mitre.org (Postfix) with ESMTP id 1E09B80AF57;
 Tue,  4 Aug 2020 16:27:13 -0400 (EDT)
Received: by mwfesmtp-mgt.mitre.org (Postfix, from userid 600)
 id 4BLmWj0Yh0z3DbQw; Tue,  4 Aug 2020 20:26:41 +0000 (UTC)
Received: from GCC02-DM3-obe.outbound.protection.outlook.com
 (mail-dm3gcc02lp2104.outbound.protection.outlook.com [104.47.65.104])
 by mwfesmtp-mgt.mitre.org (Postfix) with ESMTPS id 4BLmW04w28z3DbQT;
 Tue,  4 Aug 2020 20:26:36 +0000 (UTC)
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=l6bwFlYrqpLM7y+4wuBEL6QFWNZBOZ4izYbgG9rS8ZWeDC+utIBB/ZT6p0eMTK+k4kuXhO6RLRW3GMhwICYbCJStrzx0YHnN/dLbYTpR+ouSE23P9OiL2brcRqKeQdF8762VZOY27jC99dZo4ZF3llvhAPuX2qsAhgEavO+l8r3/oj26p52ddQCVmvlK6yuEqYi8nLXFhst40etN0pot6N+qvcD1zWddOUDqQQ57IfD2paPW1g609LPDDiM6k+LW5JLh0egWqI+i6Cu3YqhB9vTRVgpvtNuwWvD2d3NamP0fna/AAgSlwabS3a1Dw1PzBXuaTUksZzwVkxql0mxE3g==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=DDUVU1eaczcAa5u5SkOPxyClY0I7oGCJ7nWUpd3Zfx0=;
 b=BxYGV5A5vEdZpNj0FSwBYGYdYvFE60YY0ny1jWHsmyacYogQap7u6p2RhdzWPfe06tJJ5znoDyzpr2f9twI422X91GCCyNkl2hg5HJh/H9qzxKNnIp7lbkitYu/+f1CEPKEAm6hmwsZxE25JNwoHLEUanYsykjUl0lkmCNnxeAq/B+qeXVJlpuoa4mjZW6Y76PDZDciWX2OcBMKCNY0pij+GRLC4WWbAqNi7ePIVzqisnBZu3ZDLVIpym2GUq2koqr/gP1T1eC/fVndrwBLU42irJowB5/UAPvudW/TaCC7Gs82k8hEP7Ta0nNSgVboDXjg2Y29Axg7fB7BVUjDh6Q==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=mitre.org; dmarc=pass action=none header.from=mitre.org;
 dkim=pass header.d=mitre.org; arc=none
Received: from SA9PR09MB5390.namprd09.prod.outlook.com (2603:10b6:806:41::11)
 by SA0PR09MB7068.namprd09.prod.outlook.com (2603:10b6:806:7a::15)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3261.15; Tue, 4 Aug
 2020 20:26:35 +0000
Received: from SA9PR09MB5390.namprd09.prod.outlook.com
 ([fe80::caa:2a6a:8ddc:feb]) by SA9PR09MB5390.namprd09.prod.outlook.com
 ([fe80::caa:2a6a:8ddc:feb%2]) with mapi id 15.20.3239.022; Tue, 4 Aug 2020
 20:26:35 +0000
From: Timothy J Miller <tmiller@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#42637: [EXT] Re: bug#42637: 27.0.91; mm-view-pkcs7 doesn't
 handle S/MIME signed andd encrypted messages
Thread-Topic: bug#42637: [EXT] Re: bug#42637: 27.0.91; mm-view-pkcs7 doesn't
 handle S/MIME signed andd encrypted messages
Thread-Index: AQHWZ0o4sCe82V8hDkeAr4g5D9MxO6kkR2JrgAHIfYCAAZpvw///9iOAgAB8gzj//7EBgIAAV0Vk///zdwA=
Date: Tue, 4 Aug 2020 20:26:34 +0000
Message-ID: <6C99315C-D2C2-4F7E-839E-56FF8F3A21CD@HIDDEN>
References: <m2lfiz2283.fsf@HIDDEN>
 <10756_1596344892_5F264A38_10756_6707_1_87y2mxy6s0.fsf@HIDDEN>
 <m27duf6ezu.fsf@HIDDEN> <87o8nqsslm.fsf@HIDDEN>
 <31F5C86A-4316-454A-AAA7-3202C120A997@HIDDEN> <873652mna4.fsf@HIDDEN>
 <3649B346-6778-4B76-8940-B066BF24230A@HIDDEN> <87y2mul7cb.fsf@HIDDEN>
In-Reply-To: <87y2mul7cb.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
user-agent: Microsoft-MacOutlook/16.39.20071300
authentication-results: gnus.org; dkim=none (message not signed)
 header.d=none;gnus.org; dmarc=none action=none header.from=mitre.org;
x-originating-ip: [192.80.55.86]
x-ms-publictraffictype: Email
x-ms-office365-filtering-ht: Tenant
x-ms-office365-filtering-correlation-id: cbe4358c-d8d6-4794-5976-08d838b4aed1
x-ms-traffictypediagnostic: SA0PR09MB7068:
x-microsoft-antispam-prvs: <SA0PR09MB7068DCC354C1DB77E530E520AE4A0@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:10000;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: x2ZiXF/NXP04VAwZG7ey3Ybb+OfbsDNXDoNWib6O/5kjm/wjiAMTqbgqOVCi/m1dBf17UvSPFjvIabbYcojYDjg8p+EQQbLI/cdxVTR3Ae8n+5rUTzJ53L5i5Okf6ZkD3nQq96NF+XR1cSV0uVyDA4GQl0Mqja/cZPGKCKDvgLm/kZ/AmmHTfkbe6+Bjsp5WQ2TxWICte6KiUm+3U8ksexJm/NLVy53c2LbpSCRtJGA3bFPFGDdUQ+ew3l26j/HiKw1bbTKNbMD93wVQueaZ+7rkx194zMWZjtpDsYSfIyiOVCB81sRQAPyVyS7KvrLv6a+SxG3YSyUfbjRRr8Ahn5d6TWwgjdsJfHzL1wX3/IBePJLOcbH4ul6HCUGdPVLBXhtIQLcaqvrjapjfy6pNvg==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA9PR09MB5390.namprd09.prod.outlook.com; PTR:; CAT:NONE;
 SFTY:;
 SFS:(4636009)(136003)(39860400002)(366004)(396003)(346002)(376002)(966005)(316002)(2616005)(6916009)(15650500001)(5660300002)(6512007)(478600001)(2906002)(45080400002)(66446008)(6486002)(86362001)(6506007)(36756003)(33656002)(4326008)(8936002)(26005)(66946007)(186003)(66476007)(66556008)(76116006)(91956017)(71200400001)(64756008)(8676002)(83380400001);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: gmP7tipq2qNbqTBLjI2AjksX88r52XRmA5TCrwT45mbYbsUBT2kO6oCqTDmHvMky5vcUxwrc51ziAbctcdKks3SO5BgdBgS2v/KVGCl0991PvJo/DVhKGev14vxLKDQ478swu+nsV2reoMFeki3Jfj2oj4Yp4PllzLYhKp5CfPSJewT4qI671gbRhHcwahLkqOm9jE4HcMgBzn+1LeRwzBpmgaWVVJhAC7mzZszitWj2nRXr0XFiKOmNA7kyEI4l8so0KgUUG6aGcOMx8FgW/ymftvpWVwScTYM7AOFWsxEy4tu0a95XqOHAcS2UaGQXeaFan4zYG+s9RpHYiXEQ0t5rGXRwI7oyBQgufFEs9BGmBhi335S4o5RnzuJnDuXosI7DEj6Ax7h/U9ansk4l1y8mpCxBdYupMZ9vwbu9wzazVh00ZRLu1802UaHveRuqVKqcVmIu1lzVUF9Ydq+IPUbWOEckFnLAAi96Bk2GN+olOH6nviIfEZ+T91/+zMh78cREu8I0uxFOQ+jVQbzxFIO3s0DD6dPJDI9YXLtDaHYWV8lARxm0dXkl5LafPTNDgsb7w4NU+qmYR5Qdd3SsFMCzNZIdNWXElk6n695mTmzxCw9qjRg0UzcRVofQ8JxW6ln2sGR22c9IK6kjVXV5FQ==
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-ID: <D5790566FFE13D409E25B36C3CB30B21@HIDDEN>
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: mitre.org
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA9PR09MB5390.namprd09.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: cbe4358c-d8d6-4794-5976-08d838b4aed1
X-MS-Exchange-CrossTenant-originalarrivaltime: 04 Aug 2020 20:26:34.9974 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: c620dc48-1d50-4952-8b39-df4d54d74d82
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: 8+Qfam3b1TayMmuZ5fbfiowCeGoYCqKMWZ7CV2PnzrNG+f/CYrIsKbe5jd+ixSahMRG8Oa5foC/YUuENaj1EnA==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SA0PR09MB7068
X-MITRE: 8GQsMWxq66rxk57w
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mitre.org;
 h=from:to:cc:subject:date:message-id:references:in-reply-to:content-type:content-id:content-transfer-encoding:mime-version;
 s=selector1; bh=DDUVU1eaczcAa5u5SkOPxyClY0I7oGCJ7nWUpd3Zfx0=;
 b=FHIOGygSsCi1cgtGuAMWK4fxOB3st62Ppmd7ozqsM9B6tPcAzkRsiU3niPDLCxKkOISrm1ux04foUU6g0GFZDx3ANJfUDKXMtTgIsBiZFyUikBGiWjh1Ki2nMA0LJxdkh9Ytji4JIcjEsJGAdXmg3aF0sssUcf4iab4L08l/k4E=
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42637
Cc: "42637 <at> debbugs.gnu.org" <42637 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)
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Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42637; Package emacs. Full text available.

Message received at 42637 <at> debbugs.gnu.org:


Received: (at 42637) by debbugs.gnu.org; 4 Aug 2020 16:11:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 12:11:13 2020
Received: from localhost ([127.0.0.1]:48955 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2zWy-0000eG-UL
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 12:11:13 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2zWw-0000e4-Vg
 for 42637 <at> debbugs.gnu.org; Tue, 04 Aug 2020 12:11:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Ik+RWsEgwgh6rY1tRcHM+tNRzlsZqOkgg0zR4SZeWfA=; b=ba5Hdb7/EU+j+WYTPr1H9ICpri
 8NQ/qHcGJBXgGkBBkhfWsU6aOsnas4eVcwZ9079cZ/hs4VqPWsLo4H+4DGTAYmR31F5yI1Kt+969L
 9tmP3Y77OKt+Z25H6ENmhO2Nxrcuu2usvj8r39Jhy/Z5nVV0F8HS5mjbc4mbbtFSXjLY=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2zWn-0000zN-Ks; Tue, 04 Aug 2020 18:11:04 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Timothy J Miller <tmiller@HIDDEN>
Subject: Re: bug#42637: [EXT] Re: bug#42637: 27.0.91; mm-view-pkcs7 doesn't
 handle S/MIME signed andd encrypted messages
References: <m2lfiz2283.fsf@HIDDEN>
 <10756_1596344892_5F264A38_10756_6707_1_87y2mxy6s0.fsf@HIDDEN>
 <m27duf6ezu.fsf@HIDDEN> <87o8nqsslm.fsf@HIDDEN>
 <31F5C86A-4316-454A-AAA7-3202C120A997@HIDDEN>
 <873652mna4.fsf@HIDDEN>
 <3649B346-6778-4B76-8940-B066BF24230A@HIDDEN>
Date: Tue, 04 Aug 2020 18:11:00 +0200
In-Reply-To: <3649B346-6778-4B76-8940-B066BF24230A@HIDDEN> (Timothy
 J. Miller's message of "Tue, 4 Aug 2020 15:59:06 +0000")
Message-ID: <87y2mul7cb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Timothy J Miller <tmiller@HIDDEN> writes: > Sometimes,
 but I usually get a block of Base64 text. I'll capture > some samples tonight.
 Hm. I only got blank messages... 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42637
Cc: "42637 <at> debbugs.gnu.org" <42637 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Timothy J Miller <tmiller@HIDDEN> writes:

> Sometimes, but I usually get a block of Base64 text.  I'll capture
> some samples tonight.

Hm.  I only got blank messages...

Anyway, I found the problem -- Outlook used CRLF line endings on the
encrypted message itself, which messed up the parsing of the parts.
This should now be fixed in Emacs 28 (I'm pretty sure the CRLF->NL
transform is safe there -- there can't be binary parts that aren't
content-transfer-encoded, I think?)

But since you're seeing something else, perhaps there's more than one
bug here.  Can you do a new "git pull" and test?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42637; Package emacs. Full text available.

Message received at 42637 <at> debbugs.gnu.org:


Received: (at 42637) by debbugs.gnu.org; 4 Aug 2020 16:00:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 12:00:52 2020
Received: from localhost ([127.0.0.1]:48931 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2zMu-0000O5-BD
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 12:00:52 -0400
Received: from smtpvmsrv1.mitre.org ([192.52.194.136]:55282)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tmiller@HIDDEN>) id 1k2zMr-0000Nj-ON
 for 42637 <at> debbugs.gnu.org; Tue, 04 Aug 2020 12:00:46 -0400
Received: from smtpvmsrv1.mitre.org (localhost.localdomain [127.0.0.1])
 by localhost (Postfix) with SMTP id 39A7C6C0028;
 Tue,  4 Aug 2020 12:00:40 -0400 (EDT)
Received: from smtprhmv1.mitre.org (unknown [128.29.154.203])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by smtpvmsrv1.mitre.org (Postfix) with ESMTPS id DC1826C0005;
 Tue,  4 Aug 2020 12:00:39 -0400 (EDT)
Received: from mwfesmtp-mgt.mitre.org (mwfesmtp-in.mitre.org [192.52.194.235])
 by smtprhmv1.mitre.org (Postfix) with ESMTP id C29CC80C688;
 Tue,  4 Aug 2020 12:00:39 -0400 (EDT)
Received: by mwfesmtp-mgt.mitre.org (Postfix, from userid 600)
 id 4BLfZf0Z0Mz3DZxk; Tue,  4 Aug 2020 15:59:10 +0000 (UTC)
Received: from GCC02-DM3-obe.outbound.protection.outlook.com
 (mail-dm3gcc02lp2105.outbound.protection.outlook.com [104.47.65.105])
 by mwfesmtp-mgt.mitre.org (Postfix) with ESMTPS id 4BLfZP4mW1z3Db6p;
 Tue,  4 Aug 2020 15:59:08 +0000 (UTC)
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=IaXTPfgedzYYKqedtt0hgmEuR+iMdKdquuhsG2Db4SDR0xf8LISVGECDLCXf1YSHkTUCGDK6VNNo3sCAsr8Xx0OgtWo/KA61nkwnDCwSYLDh9YMiKJVHp/yAaSoLTfGn+BXNECWdYU1YDhnZPiaH/zMtt2sYiDYAcc16UHAsp2fM5anXPSWapLOtC3MsoMuXc+7f+T561bQt8BKNXqCN9lEF8Q5eC7PDarak0EvWTrGGKKlUCMec9jivd85xLIJIpgGCd8Pef8jbyyNBmZXQWhPm8lwP1AyILIX7eq8OeD3WeMXrq3jJFM7eSCKwbdQp3aM1fFS4ffww7OlimVFYUQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=3HOjh3I1953rDQ4zIg2YVqDN2np6DqmM7q1kvvxxom4=;
 b=drUbbK4WshfuFnRkWWV4KpbCeWNZM47v3WQqDukYcl5cu9k+VQdY5KFjU2cFut0fQDNDsoV0VY3rkIIzeBnoctvOIC8gfdmeOeze9Y0Lp8TQXGBXHtGA2UU0BhvtuZ/dMYiLANQSOD3kgeM6Em0w9rHUn8BT1umY/tC5S5lsCPlkTy1SFAhXAt8oSnWY+STv/bE0hj9Timmz1yg1UoGKuW488snQiAt7maWzHCGYE1sQ0k1PlVgiOP5BJc4prLXuvBjzJMNM3HbRY6VIZ1R9y3C9uCsfJC8TXH/Kami0vjCFJrrhcmBPWoL9pLZHcXmZxD2WP0NKTiVUuDamulQDXw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=mitre.org; dmarc=pass action=none header.from=mitre.org;
 dkim=pass header.d=mitre.org; arc=none
Received: from SA9PR09MB5390.namprd09.prod.outlook.com (2603:10b6:806:41::11)
 by SN6PR09MB3213.namprd09.prod.outlook.com (2603:10b6:805:ea::12)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3239.20; Tue, 4 Aug
 2020 15:59:06 +0000
Received: from SA9PR09MB5390.namprd09.prod.outlook.com
 ([fe80::caa:2a6a:8ddc:feb]) by SA9PR09MB5390.namprd09.prod.outlook.com
 ([fe80::caa:2a6a:8ddc:feb%2]) with mapi id 15.20.3239.022; Tue, 4 Aug 2020
 15:59:06 +0000
From: Timothy J Miller <tmiller@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: [EXT] Re: bug#42637: 27.0.91; mm-view-pkcs7 doesn't handle S/MIME
 signed andd encrypted messages
Thread-Topic: [EXT] Re: bug#42637: 27.0.91; mm-view-pkcs7 doesn't handle
 S/MIME signed andd encrypted messages
Thread-Index: AQHWZ0o4sCe82V8hDkeAr4g5D9MxO6kkR2JrgAHIfYCAAZpvw///9iOAgAB8gzj//7EBgA==
Date: Tue, 4 Aug 2020 15:59:06 +0000
Message-ID: <3649B346-6778-4B76-8940-B066BF24230A@HIDDEN>
References: <m2lfiz2283.fsf@HIDDEN>
 <10756_1596344892_5F264A38_10756_6707_1_87y2mxy6s0.fsf@HIDDEN>
 <m27duf6ezu.fsf@HIDDEN> <87o8nqsslm.fsf@HIDDEN>
 <31F5C86A-4316-454A-AAA7-3202C120A997@HIDDEN> <873652mna4.fsf@HIDDEN>
In-Reply-To: <873652mna4.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
user-agent: Microsoft-MacOutlook/16.39.20071300
authentication-results: gnus.org; dkim=none (message not signed)
 header.d=none;gnus.org; dmarc=none action=none header.from=mitre.org;
x-originating-ip: [192.80.55.86]
x-ms-publictraffictype: Email
x-ms-office365-filtering-ht: Tenant
x-ms-office365-filtering-correlation-id: 9613e28d-d36c-48c7-0627-08d8388f514f
x-ms-traffictypediagnostic: SN6PR09MB3213:
x-microsoft-antispam-prvs: <SN6PR09MB32130A715ECCD8B775D75096AE4A0@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:6430;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: Nr3ze48mHvhzMbpL6LtqOpzN4YWV+g8qKH1hpWi8nzoqfvxQwdZIKQjfaIMuSa8x7IIUV+kKvDrVI0ce5AjDwMuFt/0yuyY2Ztm/Pe0Q3YRDyrhNI7irfjS2crM6UNE+i+CumJrEN/JohkQCy4QXwC/aVx0p2cFG2KC5ebqxTDBf5zB8UK1gufgP6edoSMy93x+QmoXVeu96+C72F3xiaEF6vqy70a6R+E8/+4EawXhf9SJ9h0pDn7n+qKCLDDUPHOiKausouG1HJpC4bxQlqdGeXIonls0+6Quj6aMsjeYJMdF/74vDm128EZtM9eij6aOFh+4Hu+DIg6MdC9fWURlw6BI4cHgmxTWWVaAPaub5EmoC9F8svvKI5g2nO09RcK+ALRZYXaJ9CDSk09lSjA==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA9PR09MB5390.namprd09.prod.outlook.com; PTR:; CAT:NONE;
 SFTY:;
 SFS:(4636009)(376002)(366004)(396003)(136003)(346002)(39860400002)(86362001)(6916009)(36756003)(6486002)(6512007)(33656002)(91956017)(4326008)(2616005)(478600001)(8936002)(186003)(66946007)(66556008)(83380400001)(316002)(66476007)(71200400001)(64756008)(966005)(45080400002)(8676002)(6506007)(76116006)(26005)(2906002)(66446008)(5660300002);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: v3oCB8dM5RhxykA0G6+58MSXppWDWMKwhiNn+MxWWWbbVLr2uh7k5uTCGQom4LvaFA0YGytlkG78jGbOUZG+CMDfug2dR1GqPm6hHafWUAJNBWK8eb7vjvOyw8oJ41wNfc0BHhz915JVEyqEZHshdqcZLG++upQDxgW7pR1S8aD/UlhaMUZsZTZqvCaGhPKZjLIN+DwdF4eUAS/Pnx2XmGvRizyeJngGjOXvUmkhKj0lJmzc3ZKG3KUgLagFDfxB3FLxVGpMfCuV2oq9DNgNzAfWoiPrK7sk0hXbYYSxu6OM8m3zmnHcpNV6+Ny1coRsFJx1x8wTrf+QT9k+t2THuLELMcW1jpbms5uC4XpVjSfv5wc+BMZh9YD5fT41wKHQeeLhLOu0fA2Ds+EdVNgpizSaEmLRsD4TN8AEC6RA44vQamzojmeoBMeDG1fBw1fRZ7oHOcr1/HPGoNwZBIiAzPB8zkFWR+8SPyUWCcRXexdLhYrs4jtrVPis2Ljql+fNWB0mrVRZjPfNpsmm+6dJ1LwuWRMUQaxe9xSG8V8FB0W7/9zZpIIuNkCclRatx/f+qSvVXo4UtsS/DhA4nUe2dQArIy2S3vNBoqy0OKqasY2pr2HE/9Xjj/OunS4yWy5TfSj17u0VNUbfi2kVg0UKDA==
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-ID: <5264C98D580CC84EB8EEED00A8FAF4C2@HIDDEN>
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: mitre.org
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA9PR09MB5390.namprd09.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 9613e28d-d36c-48c7-0627-08d8388f514f
X-MS-Exchange-CrossTenant-originalarrivaltime: 04 Aug 2020 15:59:06.6466 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: c620dc48-1d50-4952-8b39-df4d54d74d82
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: zd45hvPbESOmVMQ3uhxhPcmz3QmimMQadkY4j1pJ1Sp1HN/QDaZX0PtgtRvS+IzyktecaGIc6gFr5lsZ30wXKg==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SN6PR09MB3213
X-MITRE: 8GQsMWxq66rxk57w
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mitre.org;
 h=from:to:cc:subject:date:message-id:references:in-reply-to:content-type:content-id:content-transfer-encoding:mime-version;
 s=selector1; bh=3HOjh3I1953rDQ4zIg2YVqDN2np6DqmM7q1kvvxxom4=;
 b=F6+uT1LOYZemJEZ7OxAnaVYTHBS5ClkhPUOWzzC5cBBVz4jHR/4MZRd/h519rsZNh7Ku9+gqkEv2J3VOsz2EiedptxRiLLri6CHG01WWOm8sAvt3Akj60eLUE+12GYGXbOYSn9uL59Q/vbSCn/IfzpHZ1f3UNt/txgP6FEpzOCI=
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42637
Cc: "42637 <at> debbugs.gnu.org" <42637 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

U29tZXRpbWVzLCBidXQgSSB1c3VhbGx5IGdldCBhIGJsb2NrIG9mIEJhc2U2NCB0ZXh0LiAgSSds
bCBjYXB0dXJlIHNvbWUgc2FtcGxlcyB0b25pZ2h0Lg0KDQotLSBUDQoNCu+7v09uIDgvNC8yMCwg
MTA6NDEsICJMYXJzIEluZ2VicmlndHNlbiIgPGxhcnNpQGdudXMub3JnPiB3cm90ZToNCg0KICAg
IFRpbW90aHkgSiBNaWxsZXIgPHRtaWxsZXJAbWl0cmUub3JnPiB3cml0ZXM6DQoNCiAgICA+IEFG
QUlDVCBzbyBmYXIsIHRoZSBwcm9ibGVtIHNlZW1zIHRvIGJlIE91dGxvb2sgYnV0IEkgY2FuJ3Qg
bmFycm93IGl0DQogICAgPiBkb3duIGZ1cnRoZXIgdGhhbiB0aGF0IHNpbmNlIGl0IHNlZW1zIHRv
IHNwYW4gbXVsdGlwbGUgdmVyc2lvbnMgYW5kDQogICAgPiBwbGF0Zm9ybXMuDQogICAgPg0KICAg
ID4gSSdsbCBzZW5kIHlvdSBhIGNsZWFyIHNpZ25lZCwgb3BhcXVlIHNpZ25lZCwgZW5jcnlwdGVk
LCBhbmQNCiAgICA+IHNpZ25lZCtlbmNyeXB0ZWQgZGlyZWN0LiAgSSAqdGhpbmsqIG9ubHkgdGhl
IHNpZ25lZCtlbmNyeXB0ZWQgd2lsbA0KICAgID4gaGF2ZSBhbiBpc3N1ZS4NCg0KICAgIFllYWgs
IGl0IGxvb2tzIGxpa2UgaXQgLS0gd2l0aCB0aGUgc2lnbmVkK2VuY3J5cHRlZCBJIGp1c3QgZ290
IGEgYmxhbmsNCiAgICBidWZmZXIgYWZ0ZXIgZGVjcnlwdGluZy4gIElzIHRoYXQgd2hhdCB5b3Un
cmUgYWxzbyBzZWVpbmc/DQoNCiAgICA+IEFsdGVybmF0aXZlbHksIGFyZSB5b3UgYXdhcmUgb2Yg
dGhpczoNCiAgICA+DQogICAgPiBodHRwczovL3Rvb2xzLmlldGYub3JnL2h0bWwvcmZjNDEzNA0K
ICAgID4NCiAgICA+IFRoaXMgdGVzdCBzdWl0ZSB3b3VsZCBiZSB1c2VmdWwgYXQgeW91ciBlbmQs
IEkgc2hvdWxkIHRoaW5rLiAgUGFzc2luZw0KICAgID4gdGhpcyBzdWl0ZSB3b24ndCBlbGltaW5h
dGUgYWxsIHRoZSBidWdzIGIvYyBldmVyeSBNVUEgaGFzIC4uLiBpc3N1ZXMNCiAgICA+IHJlZ2Fy
ZGluZyBTL01JTUUgc3RhbmRhcmRzIGNvbXBsaWFuY2UsIGJ1dCBpdCdzIGEgZ29vZCBwbGFjZSB0
byBzdGFydC4NCg0KICAgIEl0IHdvdWxkIGJlLCB5ZXMuDQoNCiAgICAtLSANCiAgICAoZG9tZXN0
aWMgcGV0cyBvbmx5LCB0aGUgYW50aWRvdGUgZm9yIG92ZXJkb3NlLCBtaWxrLikNCiAgICAgICBi
bG9nZ3kgYmxvZzogaHR0cDovL2xhcnMuaW5nZWJyaWd0c2VuLm5vDQoNCg==




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42637; Package emacs. Full text available.

Message received at 42637 <at> debbugs.gnu.org:


Received: (at 42637) by debbugs.gnu.org; 4 Aug 2020 15:41:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 11:41:45 2020
Received: from localhost ([127.0.0.1]:48898 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2z4T-0008KE-7U
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 11:41:45 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58084)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2z4S-0008K2-2y
 for 42637 <at> debbugs.gnu.org; Tue, 04 Aug 2020 11:41:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Iv2npFY4Hnjr7w1/CV18UdHyLEoBSSG3h2I1Ihy40I0=; b=ubZbghJhrJaz0g72Z4QFChnbyA
 sEy66M6e3DwPemDYAzyhoGQ19AC+4jVpdSVNsAWJwdPm6JzdijAS3XCE+lqqU2HyvRwq4ozcl3kUW
 M/5M/b//ha2mTIKf/P7XIaOo78qZoQTk+BjFDMZoIFsdJzq0GKnt+Qmch1ij4wYLMvcs=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2z49-0000kb-DA; Tue, 04 Aug 2020 17:41:37 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Timothy J Miller <tmiller@HIDDEN>
Subject: Re: [EXT] Re: bug#42637: 27.0.91; mm-view-pkcs7 doesn't handle
 S/MIME signed andd encrypted messages
References: <m2lfiz2283.fsf@HIDDEN>
 <10756_1596344892_5F264A38_10756_6707_1_87y2mxy6s0.fsf@HIDDEN>
 <m27duf6ezu.fsf@HIDDEN> <87o8nqsslm.fsf@HIDDEN>
 <31F5C86A-4316-454A-AAA7-3202C120A997@HIDDEN>
Date: Tue, 04 Aug 2020 17:41:23 +0200
In-Reply-To: <31F5C86A-4316-454A-AAA7-3202C120A997@HIDDEN> (Timothy
 J. Miller's message of "Tue, 4 Aug 2020 13:16:12 +0000")
Message-ID: <873652mna4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Timothy J Miller <tmiller@HIDDEN> writes: > AFAICT so far,
 the problem seems to be Outlook but I can't narrow it > down further than
 that since it seems to span multiple versions and > platforms. > > I'll send
 you a clear signed, opaque signe [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42637
Cc: "42637 <at> debbugs.gnu.org" <42637 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Timothy J Miller <tmiller@HIDDEN> writes:

> AFAICT so far, the problem seems to be Outlook but I can't narrow it
> down further than that since it seems to span multiple versions and
> platforms.
>
> I'll send you a clear signed, opaque signed, encrypted, and
> signed+encrypted direct.  I *think* only the signed+encrypted will
> have an issue.

Yeah, it looks like it -- with the signed+encrypted I just got a blank
buffer after decrypting.  Is that what you're also seeing?

> Alternatively, are you aware of this:
>
> https://tools.ietf.org/html/rfc4134
>
> This test suite would be useful at your end, I should think.  Passing
> this suite won't eliminate all the bugs b/c every MUA has ... issues
> regarding S/MIME standards compliance, but it's a good place to start.

It would be, yes.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42637; Package emacs. Full text available.

Message received at 42637 <at> debbugs.gnu.org:


Received: (at 42637) by debbugs.gnu.org; 4 Aug 2020 13:16:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 09:16:44 2020
Received: from localhost ([127.0.0.1]:47247 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2wo7-0008J9-UX
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 09:16:44 -0400
Received: from smtpvmsrv1.mitre.org ([192.52.194.136]:49898)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tmiller@HIDDEN>) id 1k2wo6-0008Ix-1b
 for 42637 <at> debbugs.gnu.org; Tue, 04 Aug 2020 09:16:43 -0400
Received: from smtpvmsrv1.mitre.org (localhost.localdomain [127.0.0.1])
 by localhost (Postfix) with SMTP id 92A6013A6FD;
 Tue,  4 Aug 2020 09:16:36 -0400 (EDT)
Received: from smtprhmv1.mitre.org (unknown [128.29.154.203])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by smtpvmsrv1.mitre.org (Postfix) with ESMTPS id 0CA6A13A67B;
 Tue,  4 Aug 2020 09:16:36 -0400 (EDT)
Received: from mwfesmtp-mgt.mitre.org (mwfesmtp-in.mitre.org [192.52.194.235])
 by smtprhmv1.mitre.org (Postfix) with ESMTP id E53EC80C6A7;
 Tue,  4 Aug 2020 09:16:35 -0400 (EDT)
Received: by mwfesmtp-mgt.mitre.org (Postfix, from userid 600)
 id 4BLZyq6Nsdz3DZdR; Tue,  4 Aug 2020 13:16:18 +0000 (UTC)
Received: from GCC02-DM3-obe.outbound.protection.outlook.com
 (mail-dm3gcc02lp2102.outbound.protection.outlook.com [104.47.65.102])
 by mwfesmtp-mgt.mitre.org (Postfix) with ESMTPS id 4BLZyQ31DGz3DYqw;
 Tue,  4 Aug 2020 13:16:14 +0000 (UTC)
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=QxL4Uh5KdkLm1F5C+vUD4mkRAsQvereSZIwe6x2Jw5G/aKaWcAGpcM1T13JwJXM/74c6gzqobAQ8ctWymoXD9TO/nIj/DujI7qYHc/Aeist3nuqgvLyc1t2RvSUEqsQ8KBbq+0ObAF3JFTs779MeZhpnz2ey1xjVmyys+CWUhtJFDp/vIj2ghRG79DF0j1AdnNmoWwBFsvTIfFa258x46d//7bDn2CZ4F3jrli3WTQzV8bcoqrXc6gYlzpnsmo+Ues4YC+0yCisJDDeXD1gPlq3RB/qlVf6iEPRysmB58mmhLjh/jNlXbs75MbkjXlWD1tW0XyeX8/Xu1d5uCoBRDQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=JQZBNdmjSDP5PO/bKT7415uMCxwb0y5E/xH0qpQheCk=;
 b=XoEgk6tx8Jv6Rl/EyjdamqRosbew/8G3e6PVIyKDDxIW7153b4wX88cJUpXM0M0znzElPBQ6dV9kafY7X8/EvdgzX6XNgDbt8hnBxbkYYTnmM3jmOzedUjklj+yWuWTJ4eeW56CVAW5c7BheMlVQktLSj2lG5fltKAtHoRO19ynR3aOMoC1PAVcvfobR7tsnj49GJM85qTG/J5f3j3EuTEQb76ixAtLo5Xbb9zVhSqkc8yZy4MEIrNSOPfTPBuXbgzh9IgSoqnP9HNaibjBnnjaN/sCUq1NgmxOxLqytNo3Ut3E38MEayALTmA6nKYhNiF8TRGrrqB9l9yE4OqZEEA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=mitre.org; dmarc=pass action=none header.from=mitre.org;
 dkim=pass header.d=mitre.org; arc=none
Received: from SA9PR09MB5390.namprd09.prod.outlook.com (2603:10b6:806:41::11)
 by SA0PR09MB6604.namprd09.prod.outlook.com (2603:10b6:806:7e::20)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3261.15; Tue, 4 Aug
 2020 13:16:12 +0000
Received: from SA9PR09MB5390.namprd09.prod.outlook.com
 ([fe80::caa:2a6a:8ddc:feb]) by SA9PR09MB5390.namprd09.prod.outlook.com
 ([fe80::caa:2a6a:8ddc:feb%2]) with mapi id 15.20.3239.022; Tue, 4 Aug 2020
 13:16:12 +0000
From: Timothy J Miller <tmiller@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: [EXT] Re: bug#42637: 27.0.91; mm-view-pkcs7 doesn't handle S/MIME
 signed andd encrypted messages
Thread-Topic: [EXT] Re: bug#42637: 27.0.91; mm-view-pkcs7 doesn't handle
 S/MIME signed andd encrypted messages
Thread-Index: AQHWZ0o4sCe82V8hDkeAr4g5D9MxO6kkR2JrgAHIfYCAAZpvw///9iOA
Date: Tue, 4 Aug 2020 13:16:12 +0000
Message-ID: <31F5C86A-4316-454A-AAA7-3202C120A997@HIDDEN>
References: <m2lfiz2283.fsf@HIDDEN>
 <10756_1596344892_5F264A38_10756_6707_1_87y2mxy6s0.fsf@HIDDEN>
 <m27duf6ezu.fsf@HIDDEN> <87o8nqsslm.fsf@HIDDEN>
In-Reply-To: <87o8nqsslm.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
user-agent: Microsoft-MacOutlook/16.39.20071300
authentication-results: gnus.org; dkim=none (message not signed)
 header.d=none;gnus.org; dmarc=none action=none header.from=mitre.org;
x-originating-ip: [192.80.55.86]
x-ms-publictraffictype: Email
x-ms-office365-filtering-ht: Tenant
x-ms-office365-filtering-correlation-id: 7095c47d-a723-4caf-6b33-08d838788f68
x-ms-traffictypediagnostic: SA0PR09MB6604:
x-microsoft-antispam-prvs: <SA0PR09MB66042E8B9D0397C5102FF723AE4A0@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:7219;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: VIz+IT92d6UAeU0tGX9TVPhOk4BNcv7pwKC08q70FsXCA+EYeezeD2EwWm8dBgYHjYeYOPt1xZ09HCP5dPn3xBI+G8Ub6Vm8TA32MSpWG8FmsWqg1XF5FSzty15oJ4hTitdN4EAmAw20DZM9I8LyPP2B7tr1QBs7CbtFALHNcPn9BB44e5fAWLmkDA9vY7efWqSbe5UpZyD0h7YgwZ4qN/hZD/RVkF6ylkfKQfmdNVcsQpkTSErBYJuhUODe7bZn2SQy+WhDToTYVW9JhAc4p6ZMV8VSj1AxVaIShO+cL9fc/doB1C1NkhCIpYGkIwNGRmPDgRk4MZ9Mep9X60+8Gc5dF0joTBwGi7gUQkcT+2nU1OibcolSjtCa27oTFlBht2jCSbG2L1p/RoGCxT3bUA==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA9PR09MB5390.namprd09.prod.outlook.com; PTR:; CAT:NONE;
 SFTY:;
 SFS:(4636009)(346002)(376002)(136003)(396003)(366004)(39860400002)(6506007)(86362001)(33656002)(6486002)(36756003)(66446008)(4326008)(26005)(64756008)(71200400001)(8676002)(66946007)(186003)(66476007)(66556008)(8936002)(76116006)(91956017)(6512007)(5660300002)(4744005)(316002)(966005)(6916009)(2616005)(478600001)(2906002)(45080400002);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: X6M5g0Rw+XRdKIFbuZY+GWfpR+QVO4Eey6vW+Jm2fTbmYvU7OtvdBlN4Qc+fuzwL60t4StUdO/CDdY0k0DR6YE4rQFMuAT+5RBk9zZEKOArr6MigDzq13EMDrHoHWL4FJmnfFPlH1U4u5Hfg4CbV78dhNhp9bnzzjdaFt50zprIXF7yzBQlVM2EdCzmdfqKaAGPIleupmbotUCz0pYT1za0sX1YhCOvDNakqpbRUNHVAn5Ni/j8e/l5T74hUmROIrdNmQyR9GzMRBIbInpOvvixu+151IX8oFZvnNa0ZP1uK5UVpiVYbrkwOKsLwiU+bVnHR3eH9P1R/HAReJx6hUJYg5sjmG7JOgFqRsDRF+BGuRL2JBiGp5mqBJQdvuOFDD4vH9zbvhpomcxhbFdsWSnBzLmf+PzbqvEFoV0A5+PzM0E/lVOWxNftkWw2V9bQEbfXjV18NNr6Dt2xj2zGIvK9AOBR3kN635Hd1cSn1Su+yXcvgvRIOOJAM8yTQqehQuO5vLfbWfqHry/pX7n57yK2Hwo6KzFSFC6QE7ApuKTGlLRxUCZ/6U7hjsia2CYe7XrlCskk9dQxpxqX9ixJv+PMAdAU2LS90ACbrNwDuxQ43EWQJxFLFe2wcCi67yOsb8wXXiZym4NGhJ+0W+u+2kw==
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-ID: <DA553375685DBB47A6BFB1EB83CC0ACB@HIDDEN>
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: mitre.org
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA9PR09MB5390.namprd09.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 7095c47d-a723-4caf-6b33-08d838788f68
X-MS-Exchange-CrossTenant-originalarrivaltime: 04 Aug 2020 13:16:12.5056 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: c620dc48-1d50-4952-8b39-df4d54d74d82
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: +NXORQd0kMNjt74U1WD694Ymr9y4Y183dz9vBd1qI7zcRLq/fDFccQrOi1PkJm7wIUJxr1b5z67Lm3JGf147Jw==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SA0PR09MB6604
X-MITRE: 8GQsMWxq66rxk57w
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mitre.org;
 h=from:to:cc:subject:date:message-id:references:in-reply-to:content-type:content-id:content-transfer-encoding:mime-version;
 s=selector1; bh=JQZBNdmjSDP5PO/bKT7415uMCxwb0y5E/xH0qpQheCk=;
 b=PHTK6cnwpOC23R1XK19DpB97Ob0Otwui0Gkyw56Oc4qp8hx3tknQROlWce0wkyaWLKSGfxpLEn1gUiB0Qae9PN5JplZyOGm1LeGAbGpyP1nSryKxb9a3a3ghf5OEKk4PW8L2dlNebDaC9JzuDX+yZaNoSwjsySCwTLzhI8vHc4s=
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42637
Cc: "42637 <at> debbugs.gnu.org" <42637 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

QUZBSUNUIHNvIGZhciwgdGhlIHByb2JsZW0gc2VlbXMgdG8gYmUgT3V0bG9vayBidXQgSSBjYW4n
dCBuYXJyb3cgaXQgZG93biBmdXJ0aGVyIHRoYW4gdGhhdCBzaW5jZSBpdCBzZWVtcyB0byBzcGFu
IG11bHRpcGxlIHZlcnNpb25zIGFuZCBwbGF0Zm9ybXMuIA0KDQpJJ2xsIHNlbmQgeW91IGEgY2xl
YXIgc2lnbmVkLCBvcGFxdWUgc2lnbmVkLCBlbmNyeXB0ZWQsIGFuZCBzaWduZWQrZW5jcnlwdGVk
IGRpcmVjdC4gIEkgKnRoaW5rKiBvbmx5IHRoZSBzaWduZWQrZW5jcnlwdGVkIHdpbGwgaGF2ZSBh
biBpc3N1ZS4NCg0KQWx0ZXJuYXRpdmVseSwgYXJlIHlvdSBhd2FyZSBvZiB0aGlzOg0KDQpodHRw
czovL3Rvb2xzLmlldGYub3JnL2h0bWwvcmZjNDEzNA0KDQpUaGlzIHRlc3Qgc3VpdGUgd291bGQg
YmUgdXNlZnVsIGF0IHlvdXIgZW5kLCBJIHNob3VsZCB0aGluay4gIFBhc3NpbmcgdGhpcyBzdWl0
ZSB3b24ndCBlbGltaW5hdGUgYWxsIHRoZSBidWdzIGIvYyBldmVyeSBNVUEgaGFzIC4uLiBpc3N1
ZXMgcmVnYXJkaW5nIFMvTUlNRSBzdGFuZGFyZHMgY29tcGxpYW5jZSwgYnV0IGl0J3MgYSBnb29k
IHBsYWNlIHRvIHN0YXJ0Lg0KDQotLSBUDQoNCg==




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42637; Package emacs. Full text available.

Message received at 42637 <at> debbugs.gnu.org:


Received: (at 42637) by debbugs.gnu.org; 4 Aug 2020 08:50:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 04:50:13 2020
Received: from localhost ([127.0.0.1]:46754 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2seD-0004yx-1O
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 04:50:13 -0400
Received: from quimby.gnus.org ([95.216.78.240]:53548)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2seB-0004yl-Rp
 for 42637 <at> debbugs.gnu.org; Tue, 04 Aug 2020 04:50:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Id9RH/mNYZPRoaxV0kU06wD5iDPwA/ZChkVmkpVPgsI=; b=Z8Y5B3K6aaSEHqE4vunkCjML7W
 CtNZ5UkYA4KzABF0NFTqY4i0zYNpRzbidWb3NRLtsCi1hsv5XwtOUoFeg7yyLe03ZbVgOqDaZGlJi
 LHaG36aNYFpgAygcqgInPF7laLecv5lZZd2nud3v4kztwo+qNAPj6c+DFhc4St/wxZLw=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2se3-0005qm-18; Tue, 04 Aug 2020 10:50:05 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Timothy J. Miller" <tmiller@HIDDEN>
Subject: Re: [EXT] Re: bug#42637: 27.0.91; mm-view-pkcs7 doesn't handle
 S/MIME signed andd encrypted messages
References: <m2lfiz2283.fsf@HIDDEN>
 <10756_1596344892_5F264A38_10756_6707_1_87y2mxy6s0.fsf@HIDDEN>
 <m27duf6ezu.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 10:49:57 +0200
In-Reply-To: <m27duf6ezu.fsf@HIDDEN> (Timothy J. Miller's message of "Mon, 
 03 Aug 2020 08:22:29 -0500")
Message-ID: <87o8nqsslm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=sha256;   protocol="application/pkcs7-signature"
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: "Timothy J. Miller" <tmiller@HIDDEN> writes: > I'm still
 getting problems with enveloped+signed messages, but it > looks like only
 from Outlook so far. I haven't been able to reproduce > it yet. Send me a
 signed message so I can send you encrypt [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42637
Cc: 42637 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable


"Timothy J. Miller" <tmiller@HIDDEN> writes:

> I'm still getting problems with enveloped+signed messages, but it
> looks like only from Outlook so far.  I haven't been able to reproduce
> it yet.  Send me a signed message so I can send you encrypted samples
> when I can manage to do so.

OK, this should be an S/MIME signed message...

=2D-=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no

--=-=-=
Content-Type: application/pkcs7-signature; name=smime.p7s
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=smime.p7s
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--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42637; Package emacs. Full text available.

Message received at 42637 <at> debbugs.gnu.org:


Received: (at 42637) by debbugs.gnu.org; 3 Aug 2020 13:22:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 03 09:22:39 2020
Received: from localhost ([127.0.0.1]:44648 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2aQI-0002sC-St
	for submit <at> debbugs.gnu.org; Mon, 03 Aug 2020 09:22:39 -0400
Received: from smtpvmsrv1.mitre.org ([192.52.194.136]:34594)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tmiller@HIDDEN>) id 1k2aQG-0002rz-Lh
 for 42637 <at> debbugs.gnu.org; Mon, 03 Aug 2020 09:22:37 -0400
Received: from smtpvmsrv1.mitre.org (localhost.localdomain [127.0.0.1])
 by localhost (Postfix) with SMTP id 43E6413A5B3;
 Mon,  3 Aug 2020 09:22:31 -0400 (EDT)
Received: from smtprhmv1.mitre.org (unknown [128.29.154.203])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by smtpvmsrv1.mitre.org (Postfix) with ESMTPS id 1C9A213A5B2;
 Mon,  3 Aug 2020 09:22:31 -0400 (EDT)
Received: from localhost (unknown [10.140.19.249])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by smtprhmv1.mitre.org (Postfix) with ESMTPS id CEF6E80C53D;
 Mon,  3 Aug 2020 09:22:30 -0400 (EDT)
References: <m2lfiz2283.fsf@HIDDEN>
 <10756_1596344892_5F264A38_10756_6707_1_87y2mxy6s0.fsf@HIDDEN>
User-agent: mu4e 1.4.12; emacs 27.1
From: "Timothy J. Miller" <tmiller@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: [EXT] Re: bug#42637: 27.0.91; mm-view-pkcs7 doesn't handle
 S/MIME signed andd encrypted messages
In-reply-to: <10756_1596344892_5F264A38_10756_6707_1_87y2mxy6s0.fsf@HIDDEN>
Date: Mon, 03 Aug 2020 08:22:29 -0500
Message-ID: <m27duf6ezu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-MITRE: 8GQsMWxq66rxk57w
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mitre.org;
 h=references:from:to:cc:subject:in-reply-to:date:message-id:mime-version:content-type;
 s=selector1; bh=UZRNp1iYx/XOLsfeS50o3EYv09/dH5wIpbY4iE31PKE=;
 b=L9D+tZFOkfSqNGcIk3wVdZ9z+nEjAzYTM/aC/LHMX3djOX2IWbD6NLZvGaH/xC9S31hSFgPQcO21yAfZwXLNnmZJL6aQ3YDiSjLtpfmrZT12q7drY1Hsbx5FS+NGSF8iAZv0s0cm2ovJapktM/0RNpKAzqY8qquO5VL1s6c8YmI=
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 42637
Cc: 42637 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.9 (--)


Lars Ingebrigtsen <larsi@HIDDEN> writes:

> This was supposed to be fixed a couple of days ago in Emacs 27 
> -- are
> you using an up-to-date checkout?

I hadn't seen this patch since I was looking for the wrong 
keywords. I
see that it landed in rc1 so I updated over the weekend.

I'm still getting problems with enveloped+signed messages, but it 
looks
like only from Outlook so far.  I haven't been able to reproduce 
it yet.
Send me a signed message so I can send you encrypted samples when 
I can
manage to do so.

-- T




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42637; Package emacs. Full text available.

Message received at 42637 <at> debbugs.gnu.org:


Received: (at 42637) by debbugs.gnu.org; 2 Aug 2020 05:08:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 02 01:08:15 2020
Received: from localhost ([127.0.0.1]:41425 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k26EJ-0000iy-It
	for submit <at> debbugs.gnu.org; Sun, 02 Aug 2020 01:08:15 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57742)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k26EH-0000ik-DB
 for 42637 <at> debbugs.gnu.org; Sun, 02 Aug 2020 01:08:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=1TfFOSufLrrNqkXW3pdS4/20dpXiD3O4w7uOLY5RuSw=; b=YMUHgt1epwU86Y86u6EwFvhMLS
 SXn60BN2vMrx59IzFImtIIm4FVSo5FNi8cQ6k0pkHEfi7rPuFGmU9iKJNof5G74pXG46gYmh//XCM
 xN+LDENxYHwDB9aLTA7O1B42ZTfTgvqr1U2ut6owXfh2ekf0uxpQT7LeCVgU0aNJKHB8=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k26E4-0004eN-Nd; Sun, 02 Aug 2020 07:08:06 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Timothy J. Miller" <tmiller@HIDDEN>
Subject: Re: bug#42637: 27.0.91; mm-view-pkcs7 doesn't handle S/MIME signed
 andd encrypted messages
References: <m2lfiz2283.fsf@HIDDEN>
Date: Sun, 02 Aug 2020 07:07:59 +0200
In-Reply-To: <m2lfiz2283.fsf@HIDDEN> (Timothy J. Miller's message of "Fri, 
 31 Jul 2020 09:22:52 -0500")
Message-ID: <87y2mxy6s0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: "Timothy J. Miller" <tmiller@HIDDEN> writes: > An S/MIME
 message that is both enveloped (outer) and signed (inner) is > not processed
 correctly. The outer envelop is decrypted, but this > inserts the signed
 message into the buffer as an opaque b [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42637
Cc: 42637 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Timothy J. Miller" <tmiller@HIDDEN> writes:

> An S/MIME message that is both enveloped (outer) and signed (inner) is
> not processed correctly. The outer envelop is decrypted, but this
> inserts the signed message into the buffer as an opaque blob, like so:
>
> ```
> Content-Type: application/x-pkcs7-mime; name=smime.p7m;
> smime-type=signed-data
> Content-Transfer-Encoding: base64
> Content-Disposition: attachment; filename=smime.p7m
>
> MIAGCSqGSIb3DQEHAqCAMIACAQExCzAJBgUrDgMCGgUAMIAGCSqGSIb3DQEHAaCAJIAEggEOQ29u
> [...]
> ```

This was supposed to be fixed a couple of days ago in Emacs 27 -- are
you using an up-to-date checkout?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42637; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Jul 2020 16:19:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 31 12:19:21 2020
Received: from localhost ([127.0.0.1]:38512 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k1Xkf-00005o-B7
	for submit <at> debbugs.gnu.org; Fri, 31 Jul 2020 12:19:21 -0400
Received: from lists.gnu.org ([209.51.188.17]:41212)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tmiller@HIDDEN>) id 1k1Vw0-0005bY-Ca
 for submit <at> debbugs.gnu.org; Fri, 31 Jul 2020 10:22:57 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:52374)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <tmiller@HIDDEN>)
 id 1k1Vw0-0005La-5r
 for bug-gnu-emacs@HIDDEN; Fri, 31 Jul 2020 10:22:56 -0400
Received: from smtpvmsrv1.mitre.org ([192.52.194.136]:57654)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <tmiller@HIDDEN>)
 id 1k1Vvy-0006KD-LI
 for bug-gnu-emacs@HIDDEN; Fri, 31 Jul 2020 10:22:55 -0400
Received: from smtpvmsrv1.mitre.org (localhost.localdomain [127.0.0.1])
 by localhost (Postfix) with SMTP id BF15813A62A
 for <bug-gnu-emacs@HIDDEN>; Fri, 31 Jul 2020 10:22:53 -0400 (EDT)
Received: from smtprhmv1.mitre.org (unknown [128.29.154.203])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by smtpvmsrv1.mitre.org (Postfix) with ESMTPS id B077413A357
 for <bug-gnu-emacs@HIDDEN>; Fri, 31 Jul 2020 10:22:53 -0400 (EDT)
Received: from localhost (unknown [10.140.19.249])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by smtprhmv1.mitre.org (Postfix) with ESMTPS id 6F1FB80E9A3
 for <bug-gnu-emacs@HIDDEN>; Fri, 31 Jul 2020 10:22:53 -0400 (EDT)
User-agent: mu4e 1.4.12; emacs 27.0.91
From: "Timothy J. Miller" <tmiller@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.91; mm-view-pkcs7 doesn't handle S/MIME signed andd encrypted
 messages
Date: Fri, 31 Jul 2020 09:22:52 -0500
Message-ID: <m2lfiz2283.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-MITRE: 8GQsMWxq66rxk57w
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mitre.org;
 h=from:to:subject:date:message-id:mime-version:content-type; s=selector1;
 bh=J151vLLsty9xO/6+Hi8uxyD92IVJW8HnFtrwRHkxuN4=;
 b=vdD86q2dItHvcKWHGTl88TH2IIy14WF//eNBmL388lzksi4qx0z1WYsIFBXa3MRWL5bGGL8HfRghowc49rdVxmP+VgrCCzJcCCskOdTnPB41bDF0SRs/V4Ly33vkQtO/EbmeBNI91cvEclFBblbaVOjPxHn3AzhsViOr5qFQqkQ=
Received-SPF: none client-ip=192.52.194.136;
 envelope-from=tmiller@HIDDEN; helo=smtpvmsrv1.mitre.org
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/07/31 10:22:53
X-ACL-Warn: Detected OS   = ???
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, NO_DNS_FOR_FROM=0.001,
 RCVD_IN_DNSWL_MED=-2.3, SPF_HELO_PASS=-0.001, SPF_NONE=0.001,
 URIBL_BLOCKED=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 31 Jul 2020 12:19:20 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.9 (--)

An S/MIME message that is both enveloped (outer) and signed 
(inner) is not processed correctly. The outer envelop is 
decrypted, but this inserts the signed message into the buffer as 
an opaque blob, like so:

```
Content-Type: application/x-pkcs7-mime; name=smime.p7m; 
smime-type=signed-data
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=smime.p7m

MIAGCSqGSIb3DQEHAqCAMIACAQExCzAJBgUrDgMCGgUAMIAGCSqGSIb3DQEHAaCAJIAEggEOQ29u
[...]
```


-- T




Acknowledgement sent to "Timothy J. Miller" <tmiller@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42637; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 6 Aug 2020 13:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.